Invalid client certificate

Some TrexNet workstation users logging into TrexNet VPN are receiving the error “Invalid client certificate”. You will need to upgrade the TrexNet VPN client to version 1.50 or higher. The latest version can be downloaded through TrexSupport or through the TrexNet server.  If you need assistance in upgrading, please feel free to open a TrexSupport ticket.